> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fee and Limits for a Given Protocol Route

> Returns configured fee and min/max limits from solver config

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/liquidity/protocol/{protocol}/fees' \
    --header 'X-Auth-Token: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/liquidity/protocol/{protocol}/fees", headers={"X-Auth-Token": "YOUR_API_KEY"})
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/liquidity/protocol/{protocol}/fees",
    { headers: { "X-Auth-Token": "YOUR_API_KEY" } }
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	req, _ := http.NewRequest("GET", "https://api.sprinter.tech/liquidity/protocol/{protocol}/fees", nil)
  	req.Header.Set("X-Auth-Token", "YOUR_API_KEY")
  	resp, _ := http.DefaultClient.Do(req)
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "feeBps": 5,
        "minAmount": 0,
        "maxAmount": 100000000000
      },
      {
        "feeBps": 3,
        "minAmount": 100000000000,
        "maxAmount": 1000000000000
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /liquidity/protocol/{protocol}/fees
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /liquidity/protocol/{protocol}/fees:
    get:
      tags:
        - Liquidity
      summary: Get fee and limits for a given protocol route
      description: Returns configured fee and min/max limits from solver config
      parameters:
        - description: Protocol name
          name: protocol
          in: path
          required: true
          schema:
            type: string
        - description: Source chain CAIP ID (e.g. \
          name: srcChain
          in: query
          required: true
          schema:
            type: string
        - description: Destination chain CAIP ID
          name: dstChain
          in: query
          required: true
          schema:
            type: string
        - description: Source token symbol or address
          name: srcToken
          in: query
          required: true
          schema:
            type: string
        - description: Destination token symbol or address
          name: dstToken
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/liquidity.FeesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    liquidity.FeesResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/types.FeeTier'
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string
    types.FeeTier:
      type: object
      required:
        - feeBps
        - maxAmount
        - minAmount
      properties:
        feeBps:
          type: number
        maxAmount:
          type: integer
        minAmount:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Auth-Token
      in: header

````